package com.bytesw.bytebot.controller;

import com.bytesw.bytebot.service.GoalService;
import com.bytesw.xdf.annotation.ProgramSecurity;
import com.bytesw.xdf.controller.XDFController;
import com.google.gson.GsonBuilder;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

@RestController()
@RequestMapping("/service/settings/goal")
@ProgramSecurity("GOAL")
@Log4j2
public class GoalController extends XDFController<Map, Long> {
    @Autowired
    private GoalService goalService;

    @Autowired
    private GsonBuilder gsonBuilder;

    public GoalController(GoalService service) {
        super(service);
    }

}
