package com.bytesw.bytebot.bean;

import com.google.gson.annotations.Expose;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.math.BigInteger;
import java.time.OffsetDateTime;


@Getter @Setter
public class BusinessParameterConfigurationBean implements Serializable {
    @Expose private BigInteger id;
    @Expose private long version;
    @Expose private OffsetDateTime from;
    @Expose private OffsetDateTime to;
    @Expose private String value;
    @Expose private String programmedValue;
    @Expose private BusinessParameterBean businessParameters;
    @Expose private BigInteger currentConfigurationId;
    @Expose private BigInteger programmedConfigurationId;
}
